﻿@page
@using Management.Entities;
@using Management.BusinessLogic;
@model Management.Pages.import.ViewModel
@{
    /* Constants */
    ViewData["Title"] = "View Import";

    /* Get import id */
    string importID = Request.Query["id"];

    /* Read the import detail */
    Import? import = BUS_Import.ReadInfo(importID);
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/import" class="link-primary text-decoration-none">Import</a>
        >
        <a href="/import/view?id=@importID" class="link-primary text-decoration-none">View</a>
    </p>
</div>
<div>
    @if(import.HasValue)
    {
        <div class="row table_header mb-2">
            <p class="col-auto mb-2 text-start fw-bold">Import order [ID = @import.Value.ID] Details</p>
        </div>
        <div class="text-center table_section mb-2">
            <table class="table table-bordered table-striped table-hover align-middle">
                <thead>
                    <tr>
                        <th>Import ID</th>
                        <th>Import User</th>
                        <th>Import Date</th>
                    </tr>
                </thead>

                <tbody>
                    <tr>
                        <td>@import.Value.ID</td>
                        <td>@import.Value.User</td>
                        <td>@import.Value.Date</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="text-center table_section mb-2">
            <table class="table table-bordered table-striped table-hover align-middle">
                <thead>
                    <tr>
                        <th>No</th>
                        <th>Product Name</th>
                        <th>Quantity</th>
                        <th>MFD</th>
                        <th>EXD</th>
                    </tr>
                </thead>

                <tbody>
                    @if (import.Value.Storage.Length > 0)
                    {
                        uint i = 1;
                        for (uint j = 0; j < import.Value.Storage.Length; j++)
                        {
                            <tr>
                                <td>@i</td>
                                <td>@import.Value.Storage[j].ProductName</td>
                                <td>@import.Value.Storage[j].Quantity</td>
                                <td>@import.Value.Storage[j].ManufactureDate</td>
                                <td>@import.Value.Storage[j].ExpiryDate</td>
                            </tr>
                            i++;
                        }
                    }
                    else
                    {
                        <tr>
                            <td colspan="5" class="text-center fw-bold">No data available</td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    }
    else
    {
        <div class="row table_header mb-2">
            <p class="col-auto mb-2 text-start text-danger fw-bold">Import order with ID = "@importID" was not found</p>
        </div>
    }
</div>


